System.register("app", ["@syncfusion/ej2-grids", "@syncfusion/ej2-data", "@syncfusion/ej2-navigations", "@syncfusion/ej2-inputs"], function (exports_1, context_1) {
    "use strict";
    var ej2_grids_1, ej2_data_1, ej2_navigations_1, ej2_inputs_1, data, grid;
    var __moduleName = context_1 && context_1.id;
    return {
        setters: [
            function (ej2_grids_1_1) {
                ej2_grids_1 = ej2_grids_1_1;
            },
            function (ej2_data_1_1) {
                ej2_data_1 = ej2_data_1_1;
            },
            function (ej2_navigations_1_1) {
                ej2_navigations_1 = ej2_navigations_1_1;
            },
            function (ej2_inputs_1_1) {
                ej2_inputs_1 = ej2_inputs_1_1;
            }
        ],
        execute: function () {
            ej2_grids_1.Grid.Inject(ej2_grids_1.Toolbar);
            ej2_grids_1.Grid.Inject(ej2_grids_1.Edit);
            data = new ej2_data_1.DataManager({
                url: '/api/data/nok',
                adaptor: new ej2_data_1.UrlAdaptor()
            });
            grid = new ej2_grids_1.Grid({
                dataSource: data,
                toolbar: ['Edit'],
                editSettings: { allowEditing: true, mode: 'Dialog', template: '#_gridTemplate' },
                columns: [
                    { "field": "name" },
                    { "field": "extra" }
                ],
                actionComplete: (args) => {
                    if (args.requestType === 'beginEdit') {
                        let tab;
                        tab = new ej2_navigations_1.Tab();
                        tab.appendTo(document.getElementById('tab_html_markup'));
                        // for some reason, dialog's height is maxed, remove that constraint
                        // note: this is irrelevant to the sidebar bug
                        document.getElementById('grid_dialogEdit_wrapper').style.maxHeight = null;
                        let tb = new ej2_inputs_1.TextBox();
                        tb.placeholder = 'Description';
                        tb.floatLabelType = 'Always';
                        tb.appendTo(document.getElementById('description'));
                        tb.value = 'blabla blabla';
                    }
                }
            });
            grid.appendTo('#grid');
        }
    };
});
//# sourceMappingURL=final.js.map